ListDataAutomationLibraryIngestionJobs - Amazon Bedrock

ListDataAutomationLibraryIngestionJobs

Gets a list of data automation library ingestion jobs.

Request Syntax

POST /data-automation-libraries/libraryArn/library-ingestion-jobs/ HTTP/1.1 Content-type: application/json { "maxResults": number, "nextToken": "string" }

URI Request Parameters

The request uses the following URI parameters.

libraryArn

The library's ARN.

Length Constraints: Minimum length of 0. Maximum length of 128.

Pattern: arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library/[a-zA-Z0-9-]{12,36}

Required: Yes

Request Body

The request accepts the following data in JSON format.

maxResults

The maximum number of jobs to return in one page of results.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 1000.

Required: No

nextToken

Specify the pagination token from a previous request to retrieve the next page of results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "jobs": [ { "completionTime": "string", "creationTime": "string", "entityType": "string", "jobArn": "string", "jobStatus": "string", "operationType": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

jobs

A list of job summaries.

Type: Array of DataAutomationLibraryIngestionJobSummary objects

nextToken

A pagination token returned if more results are available.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

HTTP Status Code: 403

InternalServerException

HTTP Status Code: 500

ResourceNotFoundException

HTTP Status Code: 404

ThrottlingException

HTTP Status Code: 429

ValidationException

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: